Please default to nocheck on riscv64

Bug #1891686 reported by Balint Reczey
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dpkg (Ubuntu)
Undecided
Steve Langasek

Bug Description

The builders use more cores than on other architectures to speed up builds but running riscv64 tests are still very slow in the current emulated enviromnent and they can also be flaky blocking packages from migration via the missing builds.

Steve Langasek (vorlon)
Changed in dpkg (Ubuntu):
status: New → Fix Committed
assignee: nobody → Steve Langasek (vorlon)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dpkg - 1.20.5ubuntu2

---------------
dpkg (1.20.5ubuntu2) groovy; urgency=medium

  * scripts/Dpkg/Vendor/Ubuntu.pm: set 'nocheck' in build options by default
    on Ubuntu/riscv64. Overridable in debian/rules with
    'DEB_BUILD_OPTIONS := $(filter-out nocheck,$(DEB_BUILD_OPTIONS))'.
    LP: #1891686.

 -- Steve Langasek <email address hidden> Mon, 31 Aug 2020 00:34:46 +0000

Changed in dpkg (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Balint Reczey (rbalint) wrote :

The original fix does not work for packages using old-style debhelper, such as glibc and strace 5.5-3ubuntu1.

This fix exports build opts only once thus avoids overriding the previous export.

Balint Reczey (rbalint)
Changed in dpkg (Ubuntu):
status: Fix Released → New
tags: added: patch
Revision history for this message
Steve Langasek (vorlon) wrote :

Balint, have you tested that this works correctly for the case that DEB_BUILD_OPTS has been set by the maintainer?

Revision history for this message
Balint Reczey (rbalint) wrote :

No, testing it.

Revision history for this message
Balint Reczey (rbalint) wrote :
Revision history for this message
Steve Langasek (vorlon) wrote :

Ok, looks good. Does it also work correctly using DEB_BUILD_OPTIONS := $(filter-out nocheck,$(DEB_BUILD_OPTIONS)), as mentioned in the changelog?

Revision history for this message
Balint Reczey (rbalint) wrote :

Ah, sorry by DEB_BUILD_OPTS I thought you meant DEB_BUILD_OPTIONS as listed in the changelog and this is what I've tested:

--- google-guest-agent-20200617.00/debian/rules 2020-10-02 22:47:33.000000000 +0000
+++ google-guest-agent-20200617.00/debian/rules 2020-10-22 15:29:37.000000000 +0000
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f

+# check if nocheck can be readded
+DEB_BUILD_OPTIONS := $(filter-out nocheck,$(DEB_BUILD_OPTIONS))
+
 %:

I guess we don't have to care about DEB_BUILD_OPTS:
https://lintian.debian.org/tags/debian-rules-uses-deb-build-opts.html

Revision history for this message
Steve Langasek (vorlon) wrote :

ok, sounds good then, please upload!

Balint Reczey (rbalint)
Changed in dpkg (Ubuntu):
status: New → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers